Subject: Re: Disabling "TCP Treason uncloaked"

From: Andi Kleen <[email-masked]>
Date: Wed, 3 May 2006 08:52:15 +0200

On Wednesday 03 May 2006 08:32, David S. Miller wrote:
> From: Andi Kleen <[email-masked]>
> Date: Tue, 2 May 2006 18:02:43 +0200
> 
> > On Tuesday 02 May 2006 18:19, Just Marc wrote:
> > 
> > > I thought that maybe it's time to either set TCP_DEBUG to 0 or 
> > > alternatively allow an admin to toggle the printing of this message 
> > > off/on?  On a few busy web servers running usually latest versions of 
> > > 2.6 I have this message displaying hundreds (if not more) times a day, 
> > 
> > You're talking to a lot of broken TCP clients then.
> 
> Herbert Xu also fixed a bug that would cause that message
> to be emitted erroneously, 9 times out of 10 that is why
> people are seeing these messages.

Still if Marc has hundreds per day that would be still tens
per day - and someone with even more traffic than Marc
would have hundreds per day again.

> I think disabling that message is a non-starter, we want to
> see the message because as we've seen it can point to bugs
> on our end too.

Just having the counter would help with that already, no?
Also the default for the sysctl could be maybe switched in -rc* and final? 

-Andi